Index: trunk/calendar/inc/class.calendar_holiday.inc.php
===================================================================
--- trunk/calendar/inc/class.calendar_holiday.inc.php	(revision 2)
+++ trunk/calendar/inc/class.calendar_holiday.inc.php	(revision 7655)
@@ -137,5 +137,5 @@
 			}
 			$c_lines = count($lines);
-			for($i=0;$i<$c_lines;$i++)
+			for($i=0;$i<$c_lines;++$i)
 			{
 	//			echo 'Line #'.$i.' : '.$lines[$i]."<br>\n";
@@ -204,5 +204,5 @@
 					$i = $c;
 				}
-				$i++;
+				++$i;
 			}
 			$this->holidays = $this->sort_by_date($this->holidays);
@@ -217,5 +217,5 @@
 			while($this->db->next_record())
 			{
-				$i++;
+				++$i;
 				$holidays[$i]['locale'] = $this->db->f('locale');
 				$holidays[$i]['name']   = $GLOBALS['phpgw']->strip_html($this->db->f('name'));
@@ -254,8 +254,8 @@
 		{
 			$c_holidays = count($holidays);
-			for($outer_loop=0;$outer_loop<($c_holidays - 1);$outer_loop++)
+			for($outer_loop=0;$outer_loop<($c_holidays - 1);++$outer_loop)
 			{
 				$outer_date = $holidays[$outer_loop]['date'];
-				for($inner_loop=$outer_loop;$inner_loop<$c_holidays;$inner_loop++)
+				for($inner_loop=$outer_loop;$inner_loop<$c_holidays;++$inner_loop)
 				{
 					$inner_date = $holidays[$inner_loop]['date'];
@@ -279,5 +279,5 @@
 
 			$c_holidays = count($this->holidays);
-			for($i=0;$i<$c_holidays;$i++)
+			for($i=0;$i<$c_holidays;++$i)
 			{
 				if($this->holidays[$i]['date'] > $date)
Index: trunk/calendar/inc/class.holidaycalc_US.inc.php
===================================================================
--- trunk/calendar/inc/class.holidaycalc_US.inc.php	(revision 2)
+++ trunk/calendar/inc/class.holidaycalc_US.inc.php	(revision 7655)
@@ -53,5 +53,5 @@
 					if($dow == 0)
 					{
-						$i++;
+						++$i;
 						$holidays[$i]['locale'] = $holiday['locale'];
 						$holidays[$i]['name'] = $holiday['name'].' (Observed)';
@@ -65,5 +65,5 @@
 					elseif($dow == 6)
 					{
-						$i++;
+						++$i;
 						$holidays[$i]['locale'] = $holiday['locale'];
 						$holidays[$i]['name'] = $holiday['name'].' (Observed)';
Index: trunk/calendar/inc/class.uiholiday.inc.php
===================================================================
--- trunk/calendar/inc/class.uiholiday.inc.php	(revision 1684)
+++ trunk/calendar/inc/class.uiholiday.inc.php	(revision 7655)
@@ -186,5 +186,5 @@
 				$end = min($total,$this->bo->start+$maxmatchs);
 				$p->set_var('rows',lang('showing %1 - %2 of %3',1+$this->bo->start,$end,$total));
-				for($i=$this->bo->start; $i < $end; $i++)
+				for($i=$this->bo->start; $i < $end; ++$i)
 				{
 					$tr_color = $GLOBALS['phpgw']->nextmatchs->alternate_row_color($tr_color);
@@ -313,5 +313,5 @@
 			);
 			$out = '';
-			for($i=0;$i<7;$i++)
+			for($i=0;$i<7;++$i)
 			{
 				$out .= '<option value="'.$i.'"'.($holiday['dow']==$i?' selected':'').'>'.$dow[$i].'</option>'."\n";
@@ -491,5 +491,5 @@
 			$c_holidays = count($holidays);
 			echo '<input type="hidden" name="locale" value="'.$this->bo->locales[0].'">'."\n";
-			for($i=0;$i<$c_holidays;$i++)
+			for($i=0;$i<$c_holidays;++$i)
 			{
 				echo '<input type="hidden" name="name[]" value="'.htmlspecialchars($holidays[$i]['name']).'">'."\n"
Index: trunk/calendar/inc/class.bocalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.bocalendar.inc.php	(revision 7436)
+++ trunk/calendar/inc/class.bocalendar.inc.php	(revision 7655)
@@ -912,5 +912,5 @@
                                 $endtime += $offset*$multi;
                                 $starttime <= $enddate;
-                                $i++,
+                                ++$i,
                                 $i = ($i < count($dowOffsets))?$i:0,
                                 $multi = $dowOffsets[$i],
@@ -1252,5 +1252,5 @@
 					$minparts = min($l_participants);
 					$part = Array();
-					for($i=0;$i<count($parts);$i++)
+					for($i=0;$i<count($parts);++$i)
 					{
 						if (($accept_type = substr($parts[$i],-1,1)) == '0' || (int)$accept_type > 0)
@@ -2137,5 +2137,5 @@
 			{
 				$exceptions = explode(',',$exception_str);
-				for($exception_count=0;$exception_count<count($exceptions);$exception_count++)
+				for($exception_count=0;$exception_count<count($exceptions);++$exception_count)
 				{
 					$exception[] = (int)$exceptions[$exception_count];
@@ -2196,5 +2196,5 @@
 				}
 
-				for($i=0;$i<count($this->cached_events[$date]);$i++)
+				for($i=0;$i<count($this->cached_events[$date]);++$i)
 				{
 					if($this->cached_events[$date][$i]['id'] == $event['id'] || $this->cached_events[$date][$i]['reference'] == $event['id'])
@@ -2256,5 +2256,5 @@
 			$repeated = $this->repeating_events;
 			$r_events = count($repeated);
-			for ($i=0;$i<$r_events;$i++)
+			for ($i=0;$i<$r_events;++$i)
 			{
 				$rep_events = $this->repeating_events[$i];
@@ -2460,5 +2460,5 @@
 					{
 						$emonth = 1;
-						$eyear++;
+						++$eyear;
 					}
 				}
@@ -2510,5 +2510,5 @@
 			if($c_cached_ids)
 			{
-				for($i=0;$i<$c_cached_ids;$i++)
+				for($i=0;$i<$c_cached_ids;++$i)
 				{
 					$event = $this->so->read_entry($cached_event_ids[$i]);
@@ -2525,5 +2525,5 @@
 						$start['month'] = (int)(substr($startdate,4,2));
 						$start['mday'] = (int)(substr($startdate,6,2));
-						for($j=$startdate,$k=0;$j<=$enddate;$k++,$j=(int)(date('Ymd',mktime(0,0,0,$start['month'],$start['mday'] + $k,$start['year']))))
+						for($j=$startdate,$k=0;$j<=$enddate;++$k,$j=(int)(date('Ymd',mktime(0,0,0,$start['month'],$start['mday'] + $k,$start['year']))))
 						{
 							$c_evt_day = count($this->cached_events[$j]) - 1;
@@ -2556,5 +2556,5 @@
 			if($c_cached_ids_repeating)
 			{
-				for($i=0;$i<$c_cached_ids_repeating;$i++)
+				for($i=0;$i<$c_cached_ids_repeating;++$i)
 				{
 					$this->repeating_events[$i] = $this->so->read_entry($cached_event_ids_repeating[$i]);
@@ -2575,5 +2575,5 @@
 					{
 						echo '<!-- Total events found matching '.$search_date.' = '.count($this->cached_events[$search_date]).' -->'."\n";
-						for($i=0;$i<count($this->cached_events[$search_date]);$i++)
+						for($i=0;$i<count($this->cached_events[$search_date]);++$i)
 						{
 							echo '<!-- Date: '.$search_date.' ['.$i.'] = '.$this->cached_events[$search_date][$i]['id'].' -->'."\n";
@@ -2583,5 +2583,5 @@
 			}
 			$retval = Array();
-			for($j=date('Ymd',mktime(0,0,0,$smonth,$sday,$syear)),$k=0;$j<=date('Ymd',mktime(0,0,0,$emonth,$eday,$eyear));$k++,$j=date('Ymd',mktime(0,0,0,$smonth,$sday + $k,$syear)))
+			for($j=date('Ymd',mktime(0,0,0,$smonth,$sday,$syear)),$k=0;$j<=date('Ymd',mktime(0,0,0,$emonth,$eday,$eyear));++$k,$j=date('Ymd',mktime(0,0,0,$smonth,$sday + $k,$syear)))
 			{
 				if(is_array($this->cached_events[$j]))
@@ -2765,7 +2765,7 @@
 		function prepare_matrix($interval,$increment,$part,$fulldate)
 		{
-			for($h=0;$h<24;$h++)
-			{
-				for($m=0;$m<$interval;$m++)
+			for($h=0;$h<24;++$h)
+			{
+				for($m=0;$m<$interval;++$m)
 				{
 					$index = (($h * 10000) + (($m * $increment) * 100));
@@ -2785,5 +2785,5 @@
 				$starttemp = $this->splittime("$start",False);
 				$subminute = 0;
-				for($m=0;$m<$interval;$m++)
+				for($m=0;$m<$interval;++$m)
 				{
 					$minutes = $increment * $m;
@@ -2797,5 +2797,5 @@
 				$endtemp = $this->splittime("$end",False);
 				$addminute = 0;
-				for($m=0;$m<$interval;$m++)
+				for($m=0;$m<$interval;++$m)
 				{
 					$minutes = ($increment * $m);
@@ -2809,5 +2809,5 @@
 				$endtemp = $this->splittime("$end",False);
 
-				for($h=$starttemp['hour'];$h<=$endtemp['hour'];$h++)
+				for($h=$starttemp['hour'];$h<=$endtemp['hour'];++$h)
 				{
 					$startminute = 0;
@@ -2825,5 +2825,5 @@
 					$time_display = $GLOBALS['phpgw']->common->show_date($eventstart['raw'],$this->users_timeformat).'-'.$GLOBALS['phpgw']->common->show_date($eventend['raw'],$this->users_timeformat);
 					$time_description = '('.$time_display.') '.$this->get_short_field($event,$private,'title').$this->display_status($event['participants'][$part]);
-					for($m=$startminute;$m<$endminute;$m++)
+					for($m=$startminute;$m<$endminute;++$m)
 					{
 						$index = ($hour + (($m * $increment) * 100));
@@ -2866,5 +2866,5 @@
 
 			//verifica se todos os participantes rejeitaram o evento
-			for($i = 0; $i < count($sts); $i++ ){ 
+			for($i = 0; $i < count($sts); ++$i ){
 				if( $sts[i] === "R")
 					unset( $sts[i] );
@@ -3065,5 +3065,5 @@
                     $last_space = false;
 
-                    for($i=0, $count=0; $i < $str_width; $i++, $count++)
+                    for($i=0, $count=0; $i < $str_width; ++$i, ++$count)
                     {
                         // If we're at a break
@@ -4199,5 +4199,5 @@
 		{
 			$already_moved = Array();
-			for($v=$firstday;$v<=$lastday;$v++)
+			for($v=$firstday;$v<=$lastday;++$v)
 			{
 				if (!$this->cached_events[$v])
@@ -4436,5 +4436,5 @@
 			{
 				$cal_grps = '';
-				for($i=0;$i<count($event['groups']);$i++)
+				for($i=0;$i<count($event['groups']);++$i)
 				{
 					if($GLOBALS['phpgw']->accounts->exists($event['groups'][$i]))
Index: trunk/calendar/inc/class.boicalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.boicalendar.inc.php	(revision 6057)
+++ trunk/calendar/inc/class.boicalendar.inc.php	(revision 7655)
@@ -1434,5 +1434,5 @@
 			//$this->debug('parse_parameters array return_value: '._debug_array($return_value,False));
 
-		for ($i = 0; $i < count($return_value); $i++) {
+		for ($i = 0; $i < count($return_value); ++$i) {
 				$name = strtolower($return_value[$i]['param']);
 				$value = $this->strip_quotes($return_value[$i]['value']);
@@ -1591,5 +1591,5 @@
 			if (!empty ($event['x_type'])) {
 					$c_x_type = count($event['x_type']);
-				for ($j = 0; $j < $c_x_type; $j++) {
+				for ($j = 0; $j < $c_x_type; ++$j) {
 					$str .= ';' . $this->build_xtype($event['x_type'][$j], '=');
 					}
@@ -1637,5 +1637,5 @@
 		if (!empty ($event['x_type'])) {
 				$c_x_type = count($event['x_type']);
-			for ($j = 0; $j < $c_x_type; $j++) {
+			for ($j = 0; $j < $c_x_type; ++$j) {
 				$str .= ';' . $this->build_xtype($event['x_type'][$j], '=');
 				}
@@ -1661,5 +1661,5 @@
 					if (!empty ($event[$value])) {
 						if ($multiples && $value != 'exdate') {
-							for ($i = 0; $i < count($event[$value]); $i++) {
+							for ($i = 0; $i < count($event[$value]); ++$i) {
 								$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $this->build_parameters($event[$value][$i], $value));
 								}
@@ -1674,5 +1674,5 @@
 				case 'uri' :
 					if (!empty ($event[$value])) {
-						for ($i = 0; $i < count($event[$value]); $i++) {
+						for ($i = 0; $i < count($event[$value]); ++$i) {
 							$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $this->build_parameters($event[$value][$i], $to_text));
 							}
@@ -1682,5 +1682,5 @@
 					if (!empty ($event[$value])) {
 						if ($multiples) {
-							for ($i = 0; $i < count($event[$value]); $i++) {
+							for ($i = 0; $i < count($event[$value]); ++$i) {
 								$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $this->build_parameters($event[$value][$i], $value));
 							}
@@ -1712,5 +1712,5 @@
 						if (@ $this->parameter[$key]['type'] != 'function') {
 							if ($multiples && count($event[$value]) > 1) {
-								for ($i = 0; $i < count($event[$value]); $i++) {
+								for ($i = 0; $i < count($event[$value]); ++$i) {
 									$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $this->build_parameters($event[$value][$i], $value));
 								}
@@ -1721,5 +1721,5 @@
 								$function = $this->parameter[$value]['function'];
 							if ($multiples) {
-								for ($i = 0; $i < count($event[$value]); $i++) {
+								for ($i = 0; $i < count($event[$value]); ++$i) {
 									$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . ':' . $this-> $function ($event[$value][$i]));
 								}
@@ -1732,5 +1732,5 @@
 				case 'cal-address' :
 					if (is_array($event[$value][0])) {
-						for ($j = 0; $j < count($event[$value]); $j++) {
+						for ($j = 0; $j < count($event[$value]); ++$j) {
 							$temp_output = $this->build_parameters($event[$value][$j], $value);
 							if ($temp_output) {
@@ -1748,5 +1748,5 @@
 			}
 		if (!empty ($event['x_type'])) {
-			for ($i = 0; $i < count($event['x_type']); $i++) {
+			for ($i = 0; $i < count($event['x_type']); ++$i) {
 				$str .= $this->build_xtype($event['x_type'][$i], ':');
 				}
@@ -1755,5 +1755,5 @@
 		if ($ical_item == 'vtimezone') {
 			if ($event['tzdata']) {
-				for ($k = 0; $k < count($event['tzdata']); $k++) {
+				for ($k = 0; $k < count($event['tzdata']); ++$k) {
 					$str .= 'BEGIN:' . strtoupper($event['tzdata'][$k]['type']) . "\r\n";
 					$str .= $this->build_card_internals(strtolower($event['tzdata'][$k]['type']), $event['tzdata'][$k]);
@@ -1763,5 +1763,5 @@
 			}
 		elseif ($event['alarm']) {
-			for ($k = 0; $k < count($event['alarm']); $k++) {
+			for ($k = 0; $k < count($event['alarm']); ++$k) {
 				$str .= 'BEGIN:VALARM' . "\r\n";
 				$str .= $this->build_card_internals('valarm', $event['alarm'][$k]);
@@ -2632,5 +2632,5 @@
 					$attendee_count = count($ical['attendee']);
 
-				for ($j = 0; $j < $attendee_count; $j++) {
+				for ($j = 0; $j < $attendee_count; ++$j) {
 					if ($this->is_owner($ical['attendee'][$j])) {
 						$so_event->add_attribute('participants', $this->switch_to_phpgw_status($ical['attendee'][$j]['partstat']), (int) $GLOBALS['phpgw_info']['user']['account_id']);
@@ -2788,5 +2788,5 @@
 
 	$c_events = count($ical['event']);
-	for ($i = 0; $i < $c_events; $i++) {
+	for ($i = 0; $i < $c_events; ++$i) {
 		$ex_participants = new exParticipants();
 
@@ -2832,5 +2832,5 @@
 						$c_attendees = count($ical['event'][$i]['attendee']);
 						$all_attendees = '';
-			for ($a = 0; $a < $c_attendees; $a++) {
+			for ($a = 0; $a < $c_attendees; ++$a) {
 				$cname = '"' . $ical['event'][$i]['attendee'][$a]['cn'] . '"';
 							$email = $ical['event'][$i]['attendee'][$a]['mailto']['user'];
Index: trunk/calendar/inc/class.socalendar_sql.inc.php
===================================================================
--- trunk/calendar/inc/class.socalendar_sql.inc.php	(revision 7552)
+++ trunk/calendar/inc/class.socalendar_sql.inc.php	(revision 7655)
@@ -185,5 +185,5 @@
 							{
 								$id = 'cal:'.(int)$cal_id.':'.$n;
-								$n++;
+								++$n;
 								
 								$alarm['cal_id'] = $cal_id;		// we need the back-reference
@@ -376,5 +376,5 @@
 
 										$id = 'cal:'.(int)$cal_id.':'.$n;
-										$n++;
+										++$n;
 
 										$alarm['cal_id'] = $cal_id;		// we need the back-reference
@@ -402,5 +402,5 @@
 									}
 								}
-								$y++;
+								++$y;
 							}
 						}
@@ -426,5 +426,5 @@
 
 								$id = 'cal:'.(int)$cal_id.':'.$n;
-								$n++;
+								++$n;
 
 								$alarm['cal_id'] = $cal_id;		// we need the back-reference
@@ -467,5 +467,5 @@
 
 								$id = 'cal:'.(int)$cal_id.':'.$n;
-								$n++;
+								++$n;
 
 								$alarm['cal_id'] = $cal_id;		// we need the back-reference
@@ -597,5 +597,5 @@
 				{
 					$groups = explode(',',$this->stream->f('groups'));
-					for($j=1;$j<count($groups) - 1;$j++)
+					for($j=1;$j<count($groups) - 1;++$j)
 					{
 						$this->add_attribute('groups',$groups[$j],$j-1);
Index: trunk/calendar/inc/class.ex_participants.inc.php
===================================================================
--- trunk/calendar/inc/class.ex_participants.inc.php	(revision 5143)
+++ trunk/calendar/inc/class.ex_participants.inc.php	(revision 7655)
@@ -106,5 +106,5 @@
                 $exp .= '('.$this->lang['NO ANSWER'].')';
 
-            $count++;
+            ++$count;
             $return .= $exp;
         }
Index: trunk/calendar/inc/class.uipublicview.inc.php
===================================================================
--- trunk/calendar/inc/class.uipublicview.inc.php	(revision 5132)
+++ trunk/calendar/inc/class.uipublicview.inc.php	(revision 7655)
@@ -217,5 +217,5 @@
 			if($this->bo->check_perms(PHPGW_ACL_PRIVATE) == True)
 			{
-				$cols++;
+				++$cols;
 			}
 
@@ -268,11 +268,11 @@
 
 			$str = '';
-			for ($i = 0; $i < 25; $i++)
-			{
-				$m++;
+			for ($i = 0; $i < 25; ++$i)
+			{
+				++$m;
 				if ($m > 12)
 				{
 					$m = 1;
-					$y++;
+					++$y;
 				}
 				$d = mktime(0,0,0,$m,1,$y);
@@ -301,5 +301,5 @@
 
 				$str = '';
-				for ($i = -7; $i <= 7; $i++)
+				for ($i = -7; $i <= 7; ++$i)
 				{
 					$begin = $sun + (7*24*60*60 * $i) + 12*60*60;	// we use midday, that changes in daylight-saveing does not effect us
@@ -326,5 +326,5 @@
 
 			$str = '';
-			for ($i = ($this->bo->year - 3); $i < ($this->bo->year + 3); $i++)
+			for ($i = ($this->bo->year - 3); $i < ($this->bo->year + 3); ++$i)
 			{
 				$str .= '<option value="'.$i.'"'.($i == $this->bo->year?' selected':'').'>'.$i.'</option>'."\n";
@@ -356,5 +356,5 @@
 				$date_str .= '    <input type="hidden" name="year" value="'.$this->bo->year.'">'."\n";
 
-				for($i=1; $i<=6; $i++)
+				for($i=1; $i<=6; ++$i)
 				{
 					$str .= '<option value="'.$i.'"'.($i == $this->bo->num_months?' selected':'').'>'.$i.'</option>'."\n";
@@ -521,5 +521,5 @@
 
 			$description = $this->bo->get_short_field($event,$is_private,'description');
-			for($i=0;$i<count($picture);$i++)
+			for($i=0;$i<count($picture);++$i)
 			{
 				$var = Array(
@@ -617,5 +617,5 @@
 			}
 
-			for($i=0;$i<7;$i++)
+			for($i=0;$i<7;++$i)
 			{
 				$p->set_var('col_title',lang($GLOBALS['phpgw']->datetime->days[$i]));
@@ -870,5 +870,5 @@
 		function set_week_array($startdate,$cellcolor,$weekly)
 		{
-			for ($j=0,$datetime=$startdate;$j<7;$j++,$datetime += 86400)
+			for ($j=0,$datetime=$startdate;$j<7;++$j,$datetime += 86400)
 			{
 				$date = date('Ymd',$datetime + (60 * 60 * 2)); // +2h to be save when switching to and from dst, $datetime is alreay + TZ-Offset
@@ -946,5 +946,5 @@
 				if($holidays)
 				{
-					for($k=0;$k<count($holidays);$k++)
+					for($k=0;$k<count($holidays);++$k)
 					{
 						$holiday_name[] = $holidays[$k]['name'];
Index: trunk/calendar/inc/class.uicalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.uicalendar.inc.php	(revision 6057)
+++ trunk/calendar/inc/class.uicalendar.inc.php	(revision 7655)
@@ -282,5 +282,5 @@
 			if(!$mini_cal_tpl->get_var('daynames'))
 			{
-				for($i=0;$i<7;$i++)
+				for($i=0;$i<7;++$i)
 				{
 					$var = Array(
@@ -328,5 +328,5 @@
 					);
 				}
-				for($l=0;$l<count($var);$l++)
+				for($l=0;$l<count($var);++$l)
 				{
 					$this->output_template_array($mini_cal_tpl,'monthweek_day','mini_day',$var[$l]);
@@ -742,5 +742,5 @@
 			$p->set_var($var);
 
-			for($i=1;$i<=12;$i++)
+			for($i=1;$i<=12;++$i)
 			{
 				if(($i % 3) == 1)
@@ -1331,5 +1331,5 @@
 			$str = '';
 
-			for($i=0;$i<count($event['recur_exception']);$i++)
+			for($i=0;$i<count($event['recur_exception']);++$i)
 			{
 				$str .= '    <option value="'.$i.'">'.$GLOBALS['phpgw']->common->show_date($event['recur_exception'][$i]).'</option>'."\n";
@@ -1457,5 +1457,5 @@
 				// Add participants
 				$participants = explode(";", $GLOBALS['phpgw']->session->appsession("participants") );
-				for($_f_part=0; $_f_part<count($participants); $_f_part++)
+				for($_f_part=0; $_f_part<count($participants); ++$_f_part)
 				{
 					$this->bo->add_attribute('participants','A',$participants[$_f_part]);
@@ -1800,7 +1800,7 @@
 				. '<tr><td height="1" colspan="'.((11 * $interval) + 1).'" bgcolor="black"><img src="'.$pix.'"></td></tr>'
 				. '<tr><td width="15%"><font color="'.$this->theme['bg_text'].'" face="'.$this->theme['font'].'" size="-2">'.lang('Participant').'</font></td>';
-			for($i=8;$i<19;$i++)
-			{
-				for($j=0;$j<$interval;$j++)
+			for($i=8;$i<19;++$i)
+			{
+				for($j=0;$j<$interval;++$j)
 				{
 					$k = ($j == 0 ? sprintf('%02d',$i).'<br>':'').sprintf('%02d',$j*$increment);
@@ -1854,7 +1854,7 @@
 				if(!$this->bo->cached_events[$date['full']])
 				{
-					for($j=8;$j<19;$j++)
+					for($j=8;$j<19;++$j)
 					{
-						for($k=0;$k<$interval;$k++)
+						for($k=0;$k<$interval;++$k)
 						{
 //							$helper_name = $k*
@@ -1867,8 +1867,8 @@
 				{
 					$time_slice = $this->bo->prepare_matrix($interval,$increment,$part,$date['full']);
-					for($h=8;$h<19;$h++)
+					for($h=8;$h<19;++$h)
 					{
 						$hour = $h * 10000;
-						for($m=0;$m<$interval;$m++)
+						for($m=0;$m<$interval;++$m)
 						{
 							$index = ($hour + (($m * $increment) * 100));
@@ -2267,5 +2267,5 @@
 			$y = $this->bo->year;
 			$this->bo->read_holidays($y);
-			for ($i=1; $i<=$this->bo->num_months; $i++,$m++)
+			for ($i=1; $i<=$this->bo->num_months; ++$i,++$m)
 			{
 				if ($m == 13)
@@ -2296,5 +2296,5 @@
 					);
 				}
-				for ($d=1; $d<=$days; $d++)
+				for ($d=1; $d<=$days; ++$d)
 				{
 					$dayname = substr(lang(date('D',mktime(0,0,0,$m,$d,$y))),0,2);
@@ -2601,5 +2601,5 @@
 				if ($end_cell == $start_cell && $end_cell < $last_cell)
 				{
-					$end_cell++;	// min. width 1 interval
+					++$end_cell;	// min. width 1 interval
 				}
 			}
@@ -2736,5 +2736,5 @@
 			// process all events within observed interval
 			//
-			for($v=$this->planner_firstday;$v<=$this->planner_lastday;$v++)
+			for($v=$this->planner_firstday;$v<=$this->planner_lastday;++$v)
 			{
 				$daily = $this->bo->cached_events[$v];
@@ -2809,5 +2809,5 @@
 			$accounts = $GLOBALS['phpgw']->acl->get_ids_for_location('run',1,'calendar');
 			$users = Array();
-			for($i=0;$i<count($accounts);$i++)
+			for($i=0;$i<count($accounts);++$i)
 			{
 				$user = $accounts[$i];
@@ -2820,5 +2820,5 @@
 						if($group_members != False)
 						{
-							for($j=0;$j<count($group_members);$j++)
+							for($j=0;$j<count($group_members);++$j)
 							{
 								if(!isset($users[$group_members[$j]]))
@@ -2861,5 +2861,5 @@
 			);
 
-			for($i=0;$i<count($var);$i++)
+			for($i=0;$i<count($var);++$i)
 			{
 				$this->output_template_array($p,'rows','list',$var[$i]);
@@ -3155,5 +3155,5 @@
 			if($this->bo->check_perms(PHPGW_ACL_PRIVATE) == True)
 			{
-				$cols++;
+				++$cols;
 			}
 
@@ -3229,10 +3229,10 @@
 			/* Bloco adicionado para receber o dia a partir do qual a versao para impressao sera gerada */
 			$str_ini = '';
- 			for ($i = 1; $i <= ($GLOBALS['phpgw']->datetime->days_in_month($m, $y)); $i++)
+ 			for ($i = 1; $i <= ($GLOBALS['phpgw']->datetime->days_in_month($m, $y)); ++$i)
 			{
 				$str_ini .= '<option value="'.$i.'"'.($i == $day?' selected':'').'>'.$i.'</option>'."\n";
 			}
 			$str_qtd = '<option value="'.''.'"'.($i == $_POST['qtd_dias']?' selected':'').'>'.''.'</option>'."\n";
-			for ($i = 1; $i <= 45; $i++)
+			for ($i = 1; $i <= 45; ++$i)
 			{
 				$str_qtd .= '<option value="'.$i.'"'.($i == $_POST['qtd_dias']?' selected':'').'>'.$i.'</option>'."\n";
@@ -3272,11 +3272,11 @@
 
 			$str = '';
-			for ($i = 0; $i < 20; $i++)
-			{
-				$m++;
+			for ($i = 0; $i < 20; ++$i)
+			{
+				++$m;
 				if ($m > 12)
 				{
 					$m = 1;
-					$y++;
+					++$y;
 				}
 				$d = mktime(0,0,0,$m,1,$y);
@@ -3304,5 +3304,5 @@
 
 				$str = '';
-				for ($i = -7; $i <= 7; $i++)
+				for ($i = -7; $i <= 7; ++$i)
 				{
 					$begin = $sun + (7*24*60*60 * $i) + 12*60*60;	// we use midday, that changes in daylight-saveing does not effect us
@@ -3329,5 +3329,5 @@
 
 			$str = '';
-			for ($i = ($this->bo->year - 3); $i < ($this->bo->year + 3); $i++)
+			for ($i = ($this->bo->year - 3); $i < ($this->bo->year + 3); ++$i)
 			{
 				$str .= '<option value="'.$i.'"'.($i == $this->bo->year?' selected':'').'>'.$i.'</option>'."\n";
@@ -3358,5 +3358,5 @@
 				$date_str .= '    <input type="hidden" name="year" value="'.$this->bo->year.'">'."\n";
 
-				for($i=1; $i<=6; $i++)
+				for($i=1; $i<=6; ++$i)
 				{
 					$str .= '<option value="'.$i.'"'.($i == $this->bo->num_months?' selected':'').'>'.$i.'</option>'."\n";
@@ -3607,5 +3607,5 @@
 
 			$description = $this->bo->get_short_field($event,$is_private,'description');
-			for($i=0;$i<count($picture);$i++)
+			for($i=0;$i<count($picture);++$i)
 			{
 				$var = Array(
@@ -3797,5 +3797,5 @@
 
 			$description = $this->bo->get_short_field($event,$is_private,'description');
-			for($i=0;$i<count($picture);$i++)
+			for($i=0;$i<count($picture);++$i)
 			{
 				$var = Array(
@@ -3868,5 +3868,5 @@
 
 			$overlap = '';
-			for($i=0;$i<count($overlapping_events);$i++)
+			for($i=0;$i<count($overlapping_events);++$i)
 			{
 				$overlapped_event = $this->bo->read_entry($overlapping_events[$i],True);
@@ -4056,5 +4056,5 @@
 			}
 
-			for($i=0;$i<7;$i++)
+			for($i=0;$i<7;++$i)
 			{
 				$p->set_var('col_title',lang($GLOBALS['phpgw']->datetime->days[$i]));
@@ -4536,5 +4536,5 @@
 			$tstop = $tstart + 604800;
 			$original_owner = $this->bo->so->owner;
-			for($i=0;$i<$counter;$i++)
+			for($i=0;$i<$counter;++$i)
 			{
 				$this->bo->so->owner = $owners_array[$i];
@@ -4877,7 +4877,7 @@
 				. '<tr><td height="1" colspan="'.((24 * $interval) + 1).'" bgcolor="black"><img src="'.$pix.'"></td></tr>'
 				. '<tr><td width="15%"><font color="'.$this->theme['bg_text'].'" face="'.$this->theme['font'].'" size="-2">'.lang('Participant').'</font></td>';
-			for($i=0;$i<24;$i++)
-			{
-				for($j=0;$j<$interval;$j++)
+			for($i=0;$i<24;++$i)
+			{
+				for($j=0;$j<$interval;++$j)
 				{
 					$k = ($j == 0 ? sprintf('%02d',$i).'<br>':'').sprintf('%02d',$j*$increment);
@@ -4916,7 +4916,7 @@
 				if(!$this->bo->cached_events[$date['full']])
 				{
-					for($j=0;$j<24;$j++)
+					for($j=0;$j<24;++$j)
 					{
-						for($k=0;$k<$interval;$k++)
+						for($k=0;$k<$interval;++$k)
 						{
 							$str .= '<td height="1" align="left" bgcolor="'.$this->theme['bg_color'].'" color="#999999">&nbsp;</td>';
@@ -4928,5 +4928,5 @@
 				{
 					$time_slice = $this->bo->prepare_matrix($interval,$increment,$part,$date['full']);
-					for($h=0;$h<24;$h++)
+					for($h=0;$h<24;++$h)
 					{
 						$hour = $h * 10000;
@@ -5479,5 +5479,5 @@
 				// days
 				$dout = '<select name="cal[alarmdays]">'."\n";
-				for($i=0;$i<32;$i++)
+				for($i=0;$i<32;++$i)
 				{
 					$dout .= '<option value="'.$i.'"'.($i==$days?' selected':'').'>'.$i.'</option>'."\n";
@@ -5486,5 +5486,5 @@
 				// hours
 				$hout = '<select name="cal[alarmhours]">'."\n";
-				for($i=0;$i<25;$i++)
+				for($i=0;$i<25;++$i)
 				{
 					$hout .= '<option value="'.$i.'"'.($i==$hours?' selected':'').'>'.$i.'</option>'."\n";
@@ -5493,5 +5493,5 @@
 				// minutes
 				$mout = '<select name="cal[alarmminutes]">'."\n";
-				for($i=0;$i<61;$i++)
+				for($i=0;$i<61;++$i)
 				{
 					$mout .= '<option value="'.$i.'"'.($i==$min?' selected':'').'>'.$i.'</option>'."\n";
@@ -5734,5 +5734,5 @@
 			}
 
-			for ($i=0; $i<count($control_data['part']); $i++)
+			for ($i=0; $i<count($control_data['part']); ++$i)
 			{
 				$id = $control_data['part'][$i];
@@ -5745,5 +5745,5 @@
 			if ($control_data['action'] == lang('Delete selected contacts'))
 			{
-				for ($i=0; $i<count($control_data['delete']); $i++)
+				for ($i=0; $i<count($control_data['delete']); ++$i)
 				{
 					$id = $control_data['delete'][$i];
@@ -5773,5 +5773,5 @@
 				$p->set_var('ckbox_delete_participant',$contact['name']);
 				$p->parse('V_partlist','B_partlist',True);
-				$total_contacts++;
+				++$total_contacts;
 			}
 
@@ -5894,5 +5894,5 @@
 		{
 			$data = date("m");
-			for ($j=0,$datetime=$startdate;$j<7;$j++,$datetime += 86400)
+			for ($j=0,$datetime=$startdate;$j<7;++$j,$datetime += 86400)
 			{
 				$date = date('Ymd',$datetime + (60 * 60 * 2)); // +2h to be save when switching to and from dst, $datetime is alreay + TZ-Offset
@@ -5970,5 +5970,5 @@
 				if($holidays)
 				{
-					for($k=0;$k<count($holidays);$k++)
+					for($k=0;$k<count($holidays);++$k)
 					{
 						$holiday_name[] = $holidays[$k]['name'];
Index: trunk/calendar/inc/class.boholiday.inc.php
===================================================================
--- trunk/calendar/inc/class.boholiday.inc.php	(revision 5132)
+++ trunk/calendar/inc/class.boholiday.inc.php	(revision 7655)
@@ -145,5 +145,5 @@
 				$c_holidays = count($_POST['name']);
 				$fp = fopen($file,'w');
-				for($i=0;$i<$c_holidays;$i++)
+				for($i=0;$i<$c_holidays;++$i)
 				{
 					fwrite($fp,$this->locales[0]."\t".$_POST['name'][$i]."\t".$_POST['day'][$i]."\t".$_POST['month'][$i]."\t".$_POST['occurence'][$i]."\t".$_POST['dow'][$i]."\t".$_POST['observance'][$i]."\n");
@@ -262,5 +262,5 @@
 				}
 				$c_lines = count($lines);
-				for($i=0;$i<$c_lines;$i++)
+				for($i=0;$i<$c_lines;++$i)
 				{
 //					echo 'Line #'.$i.' : '.$lines[$i]."<br>\n";
@@ -346,7 +346,7 @@
 		{
 			$c_holidays = count($holidays);
-			for($outer_loop=0;$outer_loop<($c_holidays - 1);$outer_loop++)
-			{
-				for($inner_loop=$outer_loop;$inner_loop<$c_holidays;$inner_loop++)
+			for($outer_loop=0;$outer_loop<($c_holidays - 1);++$outer_loop)
+			{
+				for($inner_loop=$outer_loop;$inner_loop<$c_holidays;++$inner_loop)
 				{
 					if($holidays[$outer_loop]['date'] > $holidays[$inner_loop]['date'])
@@ -364,5 +364,5 @@
 		{
 			$new_holidays = Array();
-			for($i=0;$i<count($holidays);$i++)
+			for($i=0;$i<count($holidays);++$i)
 			{
 //	echo "Setting Holidays Date : ".date('Ymd',$holidays[$i]['date'])."<br>\n";
@@ -386,5 +386,5 @@
 
 			$temp_locale = $GLOBALS['phpgw_info']['user']['preferences']['common']['country'];
-			for($i=0;$i<count($holidays);$i++)
+			for($i=0;$i<count($holidays);++$i)
 			{
 				$c = $i;
Index: trunk/calendar/inc/class.socalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.socalendar.inc.php	(revision 6057)
+++ trunk/calendar/inc/class.socalendar.inc.php	(revision 7655)
@@ -179,5 +179,5 @@
 			$events = $this->list_events($startYear,$startMonth,$startDay,$endYear,$endMonth,$endDay);
 			$events_cached = Array();
-			for($i=0;$i<count($events);$i++)
+			for($i=0;$i<count($events);++$i)
 			{
 				$events_cached[] = $this->read_entry($events[$i]);
